.SocialNetworks
{
	display: flex;
	justify-content: center;
	align-items: center;
	width: 100%;
	height: 500px;
	overflow: hidden;
	background-color: black;
}

.SocialNetworks img
{
	display: block;
	position: relative;
	height: 100%;

	transition-property: transform;
	transition-duration: 0.5s;
	transition-timing-function: ease-in-out;
}

.DiscordContainer, .InstagramContainer
{
	position: absolute;
	display: flex;
	flex-direction: row;
	justify-content: center;
	align-items: center;
	text-decoration: none;
	color: white;

	transition-property: transform;
	transition-duration: 0.5s;
	transition-timing-function: ease-in-out;
}

.DiscordContainer i, .InstagramContainer i
{
	display: block;
	background-color: black;
	font-size: 5rem;
}

.DiscordContainer p, .InstagramContainer p
{
	margin: 0;

	display: flex;
	flex-wrap: nowrap;
	justify-content: flex-end;
	width: 0;

	font-weight: 600;
	/*font-style: italic;*/
	font-size: 2.5rem;

	white-space: nowrap;
	overflow: hidden;

	transition-property: width;
	transition-duration: 0.5s;
	transition-timing-function: ease-in-out;
}

@media (hover: hover)
{
	.DiscordContainer:hover p
	{
		width: 15rem;
	}
	.InstagramContainer:hover p
	{
		width: 15rem;
	}
}

@media screen and (max-width: 700px)
{
	.SocialNetworks
	{
		height: 300px;
	}
	.DiscordContainer i, .InstagramContainer i
	{
		font-size: 2.5rem;
	}
	.DiscordContainer p, .InstagramContainer p
	{
		font-size: 1.25rem;
	}

	@media (hover: hover)
{
	.DiscordContainer:hover p
	{
		width: 7.5rem;
	}
	.InstagramContainer:hover p
	{
		width: 7.5rem;
	}
}
}